/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  SampleAppRealmChallengeHandler.h
//  nativepush
//
//  Created by worklightdev on 04/02/13.
//  Copyright (c) 2013 worklightdev. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WLClient.h"
#import "ChallengeHandler.h"
#import "WLDelegate.h"
#import "ViewController.h"

@interface FormChallengeHandler : ChallengeHandler <WLDelegate>{
@private
    ViewController *vc;
    NSString *strResponse;
}
- (BOOL)isCustomResponse: (WLResponse *)response;
- (void)handleChallenge: (WLResponse *)response;
- (id)initWithController: (ViewController *)mainView;
@property (nonatomic, strong)NSString *username;
@property (nonatomic, strong)NSString *password;
@end
