/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  MyEventSourceListener.m
//  nativepush
//
//  Created by worklightdev on 25/01/13.
//  Copyright (c) 2013 worklightdev. All rights reserved.
//

#import "MyEventSourceListener.h"

@implementation MyEventSourceListener

- (id)initWithController: (ViewController *) mainView{
    if ( self = [super init] )
    {
        vc = mainView;
    }
    return self;
}

-(void)onReceive:(NSString *)props :(NSString *)payload{
	[vc updateMessage:@"Inside the eventSourceListener"];
	[vc updateMessage:props.description];
	[vc updateMessage:payload.description];
}

@end
