/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  ReadyToSubscribeListener.h
//  nativepush
//
//  Created by worklightdev on 24/01/13.
//  Copyright (c) 2013 worklightdev. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WLPush.h"
#import "WLOnReadyToSubscribeListener.h"
#import "ViewController.h"

@interface ReadyToSubscribeListener : NSObject <WLOnReadyToSubscribeListener> {	
@private
    ViewController *vc;
}

- (id)initWithController:(ViewController *)mainView;
@property (nonatomic, strong)NSString *alias;
@property (nonatomic, strong)NSString *adapterName;
@property (nonatomic, strong)NSString *eventSourceName;

@end
