/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  MyConnectListener.m
//  nativepush
//
//  Created by worklightdev on 11/02/13.
//  Copyright (c) 2013 nativepush. All rights reserved.
//

#import "MyConnectListener.h"

@implementation MyConnectionListener
- (id)initWithController: (ViewController *) mainView{
    if ( self = [super init] )
    {
        vc = mainView;
    }
    return self;
}

-(void)onSuccess:(WLResponse *)response{
	[vc updateMessage:@"Connection successful ... "];
	[vc updateMessage:response.responseText];
}

-(void)onFailure:(WLFailResponse *)response{
    [vc updateMessage:@"Connection failed ... "];
	[vc updateMessage:response.errorMsg];
}
@end
