/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  MyUnsubscribeListener.m
//  nativepush
//
//  Created by worklightdev on 29/01/13.
//  Copyright (c) 2013 worklightdev. All rights reserved.
//

#import "MyUnsubscribeListener.h"

@implementation MyUnsubscribeListener

- (id)initWithController: (ViewController *) mainView{
    if ( self = [super init] )
    {
        vc = mainView;
    }
    return self;
}

-(void) onSuccess:(WLResponse *)response{
	[vc updateMessage:@"Successfully got a response for Unsubscribe"];
	[vc updateMessage:response.responseText];
}

-(void)onFailure:(WLFailResponse *)response{
	[vc updateMessage:@"Failed get a response for Unsubscribe"];
	[vc updateMessage:response.responseText];
}

@end
