/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  ReadyToSubscribeListener.m
//  nativepush
//
//  Created by worklightdev on 24/01/13.
//  Copyright (c) 2013 worklightdev. All rights reserved.
//

#import "ReadyToSubscribeListener.h"
#import "MyEventSourceListener.h"

@implementation ReadyToSubscribeListener

- (id)initWithController: (ViewController *) mainView{
    if ( self = [super init] )
    {
        vc = mainView;
    }
    return self;
}

-(void)OnReadyToSubscribe{
	[vc updateMessage:@"\nPreparing to subscribe"];
	MyEventSourceListener *eventSourceListener=[[MyEventSourceListener alloc]init];
	[[WLPush sharedInstance] registerEventSourceCallback:self.alias :self.adapterName
														:self.eventSourceName :eventSourceListener];
	[vc updateMessage:@"Ready to subscribe..."];
}

@end
