/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
//
//  ViewController.h
//  nativepush
//
//  Created by worklightdev on 11/02/13.
//  Copyright (c) 2013 nativepush. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface ViewController : UIViewController{
	@public
	UITextView *_result;
}
- (void)updateMessage:(NSString *)data;
- (IBAction)connect:(id)sender;
- (IBAction)isPushSupported:(id)sender;
- (IBAction)isSubscribed:(id)sender;
- (IBAction)subscribe:(id)sender;
- (IBAction)unsubscribe:(id)sender;
@property (retain, nonatomic) IBOutlet UITextView *result;
@property (retain, nonatomic) IBOutlet UITextView *console;
@property (retain, nonatomic) IBOutlet UIButton *button_push;
@property (retain, nonatomic) IBOutlet UIButton *button_unsubscribe;
@property (retain, nonatomic) IBOutlet UIButton *button_isSubscribe;
@property (retain, nonatomic) IBOutlet UIButton *button_subscribe;

@property (nonatomic, strong)NSString *alias;
@property (nonatomic, strong)NSString *adapterName;
@property (nonatomic, strong)NSString *eventSourceName;
@property (nonatomic, strong)NSString *securityRealm;
@property (nonatomic, strong)NSString *username;
@property (nonatomic, strong)NSString *password;
@property (nonatomic, strong)NSString *myToken;

@end
